# Tutorials

:::{seealso}
For more tutorials featureing scanpy and other [scverse](https://scverse.org) ecosystem tools, check out the curated set of tutorials at [scverse.org/learn](https://scverse.org/learn)
:::

## Basic workflows

```{toctree}
:maxdepth: 2

basics/index
```

## Visualization

```{toctree}
:maxdepth: 2

plotting/index
```

## Trajectory inference

```{seealso}
For more powerful tools for analysing single cell dynamics, check out the Scverse ecosystem packages:

* [CellRank](https://cellrank.readthedocs.io)
* [Dynamo](https://dynamo-release.readthedocs.io/en/latest/)
```

```{toctree}
:maxdepth: 2

trajectories/index
```

## Spatial data

```{seealso}
For more up-to-date tutorials on working with spatial data, see:

* [SquidPy tutorials](https://squidpy.readthedocs.io/en/stable/notebooks/tutorials/index.html)
* [SpatialData tutorials](https://spatialdata.scverse.org/en/latest/tutorials/notebooks/notebooks.html)
* [Scverse ecosystem spatial tutorials](https://scverse.org/learn/)
```

```{toctree}
:maxdepth: 2

spatial/index
```

## Experimental

```{toctree}
:maxdepth: 2

experimental/index
```

## Older tutorials

A number of older tutorials can be found at:

* The [`scanpy_usage`](https://github.com/scverse/scanpy_usage) repository
